be.fgov.ehealth.rn.commons.business.v1

## Class CBSSFaultType

- java.lang.Object
- - be.fgov.ehealth.rn.commons.business.v1.CBSSFaultType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:16:59+01:00",
                 comments="JAXB RI v2.2.11")
      public class CBSSFaultType
      extends Object
      implements Serializable

  Java class for CBSSFaultType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CBSSFaultType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="InformationCustomer" type="{urn:be:fgov:ehealth:rn:commons:business:v1}InformationCustomerType" minOccurs="0"/>
               <element name="InformationCBSS" type="{urn:be:fgov:ehealth:rn:commons:business:v1}InformationCBSSType"/>
               <element name="Detail" type="{urn:be:fgov:ehealth:rn:commons:business:v1}MessageType" maxOccurs="30"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CBSSFaultType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Message>` | `getDetails()` Gets the value of the details property.
    `InformationCBSSType` | `getInformationCBSS()` Gets the value of the informationCBSS property.
    `InformationCustomerType` | `getInformationCustomer()` Gets the value of the informationCustomer property.
    `void` | `setInformationCBSS(InformationCBSSType value)` Sets the value of the informationCBSS property.
    `void` | `setInformationCustomer(InformationCustomerType value)` Sets the value of the informationCustomer property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CBSSFaultType

          public CBSSFaultType()

  - ### Method Detail

    - #### getInformationCustomer

          public InformationCustomerType getInformationCustomer()

      Gets the value of the informationCustomer property.
      Returns:
        possible object is `InformationCustomerType`

    - #### setInformationCustomer

          public void setInformationCustomer(InformationCustomerType value)

      Sets the value of the informationCustomer property.
      Parameters:
        `value` - allowed object is `InformationCustomerType`

    - #### getInformationCBSS

          public InformationCBSSType getInformationCBSS()

      Gets the value of the informationCBSS property.
      Returns:
        possible object is `InformationCBSSType`

    - #### setInformationCBSS

          public void setInformationCBSS(InformationCBSSType value)

      Sets the value of the informationCBSS property.
      Parameters:
        `value` - allowed object is `InformationCBSSType`

    - #### getDetails

          public List<Message> getDetails()

      Gets the value of the details property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the details property.

      For example, to add a new item, do as follows:

              getDetails().add(newItem);

      Objects of the following type(s) are allowed in the list `Message`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.